Package kiyut.sketsa.loaders.event

## Class SVGEditorSupportListenerAdapter

- java.lang.Object
- - kiyut.sketsa.loaders.event.SVGEditorSupportListenerAdapter

- All Implemented Interfaces:
    `EventListener`, `SVGEditorSupportListener`

      public class SVGEditorSupportListenerAdapter
      extends Object
      implements SVGEditorSupportListener

  Just convenience adapater class. All methods are do nothing
  Author:
    KIYUT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVGEditorSupportListenerAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `documentClosed​(SVGEditorSupportEvent evt)` | fired after document is successfully closed
    `void` | `documentCreated​(SVGEditorSupportEvent evt)` | fired after document is successfully created aka new document but before opened in the editor.
    `void` | `documentLoaded​(SVGEditorSupportEvent evt)` | fired after document is successfully loaded but before opened in the editor.
    `void` | `documentOpened​(SVGEditorSupportEvent evt)` | fired after document is successfully opened in the editor.
    `void` | `documentReplaced​(SVGEditorSupportEvent evt)` | fired after document is successfully replaced
    `void` | `documentReverted​(SVGEditorSupportEvent evt)` | fired after document is successfully reverted.
    `void` | `documentSaved​(SVGEditorSupportEvent evt)` | fired after document is successfully saved

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGEditorSupportListenerAdapter

          public SVGEditorSupportListenerAdapter()

  - ### Method Detail

    - #### documentCreated

          public void documentCreated​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully created aka new document but before opened in the editor. note: documentOpened will be called later during opening process.
      Specified by:
        `documentCreated` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentLoaded

          public void documentLoaded​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully loaded but before opened in the editor. It is called regardless it is reverting process or normal loading
      Specified by:
        `documentLoaded` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentReverted

          public void documentReverted​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully reverted. note: documentLoaded and documentOpened is still be called.
      Specified by:
        `documentReverted` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentOpened

          public void documentOpened​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully opened in the editor. It is called regardless it is reverting process or normal loading or new document
      Specified by:
        `documentOpened` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentSaved

          public void documentSaved​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully saved
      Specified by:
        `documentSaved` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentClosed

          public void documentClosed​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully closed
      Specified by:
        `documentClosed` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentReplaced

          public void documentReplaced​(SVGEditorSupportEvent evt)

      Description copied from interface: `SVGEditorSupportListener`
      fired after document is successfully replaced
      Specified by:
        `documentReplaced` in interface `SVGEditorSupportListener`
      Parameters:
        `evt` - SVGEditorSupportEvent